Package com.ocient.jdbc.proto

# Class ClientWireProtocol

java.lang.Object
com.ocient.jdbc.proto.ClientWireProtocol

public final class ClientWireProtocol extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.AttachToQuery`
Protobuf type `xg.cmdcomp.AttachToQuery`
`static interface`
`ClientWireProtocol.AttachToQueryOrBuilder`
`static final class`
`ClientWireProtocol.Authenticator`
Contains the minimal subset of info the client needs to perform any prerequisite authentication challenge(s).
`static interface`
`ClientWireProtocol.AuthenticatorOrBuilder`
`static final class`
`ClientWireProtocol.CancelQuery`
Protobuf type `xg.cmdcomp.CancelQuery`
`static interface`
`ClientWireProtocol.CancelQueryOrBuilder`
`static final class`
`ClientWireProtocol.CancelQueryResponse`
Protobuf type `xg.cmdcomp.CancelQueryResponse`
`static interface`
`ClientWireProtocol.CancelQueryResponseOrBuilder`
`static final class`
`ClientWireProtocol.CheckDataRequest`
Protobuf type `xg.cmdcomp.CheckDataRequest`
`static interface`
`ClientWireProtocol.CheckDataRequestOrBuilder`
`static final class`
`ClientWireProtocol.CheckDataResponse`
Protobuf type `xg.cmdcomp.CheckDataResponse`
`static interface`
`ClientWireProtocol.CheckDataResponseOrBuilder`
`static final class`
`ClientWireProtocol.ClearCache`
Protobuf type `xg.cmdcomp.ClearCache`
`static interface`
`ClientWireProtocol.ClearCacheOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnection`
Protobuf type `xg.cmdcomp.ClientConnection`
`static final class`
`ClientWireProtocol.ClientConnection2`
Protobuf type `xg.cmdcomp.ClientConnection2`
`static interface`
`ClientWireProtocol.ClientConnection2OrBuilder`
`static final class`
`ClientWireProtocol.ClientConnection2Response`
Protobuf type `xg.cmdcomp.ClientConnection2Response`
`static interface`
`ClientWireProtocol.ClientConnection2ResponseOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionGCM`
Protobuf type `xg.cmdcomp.ClientConnectionGCM`
`static final class`
`ClientWireProtocol.ClientConnectionGCM2`
Protobuf type `xg.cmdcomp.ClientConnectionGCM2`
`static interface`
`ClientWireProtocol.ClientConnectionGCM2OrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionGCM2Response`
Protobuf type `xg.cmdcomp.ClientConnectionGCM2Response`
`static interface`
`ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
`static interface`
`ClientWireProtocol.ClientConnectionGCMOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionGCMResponse`
Protobuf type `xg.cmdcomp.ClientConnectionGCMResponse`
`static interface`
`ClientWireProtocol.ClientConnectionGCMResponseOrBuilder`
`static interface`
`ClientWireProtocol.ClientConnectionOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionRefreshSession`
Protobuf type `xg.cmdcomp.ClientConnectionRefreshSession`
`static interface`
`ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionRefreshSessionResponse`
Protobuf type `xg.cmdcomp.ClientConnectionRefreshSessionResponse`
`static interface`
`ClientWireProtocol.ClientConnectionRefreshSessionResponseOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionRefreshToken`
Protobuf type `xg.cmdcomp.ClientConnectionRefreshToken`
`static interface`
`ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionRefreshTokenResponse`
Protobuf type `xg.cmdcomp.ClientConnectionRefreshTokenResponse`
`static interface`
`ClientWireProtocol.ClientConnectionRefreshTokenResponseOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionResponse`
Protobuf type `xg.cmdcomp.ClientConnectionResponse`
`static interface`
`ClientWireProtocol.ClientConnectionResponseOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionSecurityToken`
Protobuf type `xg.cmdcomp.ClientConnectionSecurityToken`
`static interface`
`ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionSecurityTokenResponse`
Protobuf type `xg.cmdcomp.ClientConnectionSecurityTokenResponse`
`static interface`
`ClientWireProtocol.ClientConnectionSecurityTokenResponseOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionSSO`
Protobuf type `xg.cmdcomp.ClientConnectionSSO`
`static final class`
`ClientWireProtocol.ClientConnectionSSO2`
Protobuf type `xg.cmdcomp.ClientConnectionSSO2`
`static interface`
`ClientWireProtocol.ClientConnectionSSO2OrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionSSO2Response`
Protobuf type `xg.cmdcomp.ClientConnectionSSO2Response`
`static interface`
`ClientWireProtocol.ClientConnectionSSO2ResponseOrBuilder`
`static interface`
`ClientWireProtocol.ClientConnectionSSOOrBuilder`
`static final class`
`ClientWireProtocol.ClientConnectionSSOResponse`
Protobuf type `xg.cmdcomp.ClientConnectionSSOResponse`
`static interface`
`ClientWireProtocol.ClientConnectionSSOResponseOrBuilder`
`static final class`
`ClientWireProtocol.CloseConnection`
Protobuf type `xg.cmdcomp.CloseConnection`
`static interface`
`ClientWireProtocol.CloseConnectionOrBuilder`
`static final class`
`ClientWireProtocol.CloseResultSet`
Protobuf type `xg.cmdcomp.CloseResultSet`
`static interface`
`ClientWireProtocol.CloseResultSetOrBuilder`
`static final class`
`ClientWireProtocol.CompletedQueriesResponse`
Protobuf type `xg.cmdcomp.CompletedQueriesResponse`
`static interface`
`ClientWireProtocol.CompletedQueriesResponseOrBuilder`
`static final class`
`ClientWireProtocol.CompletedQueriesRow`
Matches row output from the completed queries vTable
`static interface`
`ClientWireProtocol.CompletedQueriesRowOrBuilder`
`static final class`
`ClientWireProtocol.ConfirmationResponse`
Protobuf type `xg.cmdcomp.ConfirmationResponse`
`static interface`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteExplain`
Protobuf type `xg.cmdcomp.ExecuteExplain`
`static final class`
`ClientWireProtocol.ExecuteExplainForSpark`
Spark Deprecated
`static interface`
`ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
`static interface`
`ClientWireProtocol.ExecuteExplainOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteExport`
Protobuf type `xg.cmdcomp.ExecuteExport`
`static interface`
`ClientWireProtocol.ExecuteExportOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteExportResponse`
Protobuf type `xg.cmdcomp.ExecuteExportResponse`
`static interface`
`ClientWireProtocol.ExecuteExportResponseOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteInlinePlan`
Protobuf type `xg.cmdcomp.ExecuteInlinePlan`
`static interface`
`ClientWireProtocol.ExecuteInlinePlanOrBuilder`
`static final class`
`ClientWireProtocol.ExecutePlan`
Protobuf type `xg.cmdcomp.ExecutePlan`
`static interface`
`ClientWireProtocol.ExecutePlanOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteQuery`
Protobuf type `xg.cmdcomp.ExecuteQuery`
`static interface`
`ClientWireProtocol.ExecuteQueryOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteQueryResponse`
Protobuf type `xg.cmdcomp.ExecuteQueryResponse`
`static interface`
`ClientWireProtocol.ExecuteQueryResponseOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteUpdate`
Protobuf type `xg.cmdcomp.ExecuteUpdate`
`static interface`
`ClientWireProtocol.ExecuteUpdateOrBuilder`
`static final class`
`ClientWireProtocol.ExecuteUpdateResponse`
Protobuf type `xg.cmdcomp.ExecuteUpdateResponse`
`static interface`
`ClientWireProtocol.ExecuteUpdateResponseOrBuilder`
`static enum`
`ClientWireProtocol.ExplainFormat`
Protobuf enum `xg.cmdcomp.ExplainFormat`
`static final class`
`ClientWireProtocol.ExplainPipelineRequest`
Protobuf type `xg.cmdcomp.ExplainPipelineRequest`
`static interface`
`ClientWireProtocol.ExplainPipelineRequestOrBuilder`
`static final class`
`ClientWireProtocol.ExplainPipelineResponse`
Protobuf type `xg.cmdcomp.ExplainPipelineResponse`
`static interface`
`ClientWireProtocol.ExplainPipelineResponseOrBuilder`
`static final class`
`ClientWireProtocol.ExplainPlan`
Protobuf type `xg.cmdcomp.ExplainPlan`
`static interface`
`ClientWireProtocol.ExplainPlanOrBuilder`
`static final class`
`ClientWireProtocol.ExplainResponseStringPlan`
Protobuf type `xg.cmdcomp.ExplainResponseStringPlan`
`static interface`
`ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
`static final class`
`ClientWireProtocol.FetchAuthenticators`
Protobuf type `xg.cmdcomp.FetchAuthenticators`
`static interface`
`ClientWireProtocol.FetchAuthenticatorsOrBuilder`
`static final class`
`ClientWireProtocol.FetchAuthenticatorsResponse`
Protobuf type `xg.cmdcomp.FetchAuthenticatorsResponse`
`static interface`
`ClientWireProtocol.FetchAuthenticatorsResponseOrBuilder`
`static final class`
`ClientWireProtocol.FetchData`
Protobuf type `xg.cmdcomp.FetchData`
`static interface`
`ClientWireProtocol.FetchDataOrBuilder`
`static final class`
`ClientWireProtocol.FetchDataResponse`
Protobuf type `xg.cmdcomp.FetchDataResponse`
`static interface`
`ClientWireProtocol.FetchDataResponseOrBuilder`
`static final class`
`ClientWireProtocol.FetchMetadata`
Protobuf type `xg.cmdcomp.FetchMetadata`
`static interface`
`ClientWireProtocol.FetchMetadataOrBuilder`
`static final class`
`ClientWireProtocol.FetchMetadataResponse`
Protobuf type `xg.cmdcomp.FetchMetadataResponse`
`static interface`
`ClientWireProtocol.FetchMetadataResponseOrBuilder`
`static final class`
`ClientWireProtocol.FetchSystemMetadata`
Protobuf type `xg.cmdcomp.FetchSystemMetadata`
`static interface`
`ClientWireProtocol.FetchSystemMetadataOrBuilder`
`static final class`
`ClientWireProtocol.FetchSystemMetadataResponse`
Protobuf type `xg.cmdcomp.FetchSystemMetadataResponse`
`static interface`
`ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
`static final class`
`ClientWireProtocol.ForceExternal`
Deprecated.
`static interface`
`ClientWireProtocol.ForceExternalOrBuilder`
Deprecated.
`static final class`
`ClientWireProtocol.GetSchema`
Protobuf type `xg.cmdcomp.GetSchema`
`static interface`
`ClientWireProtocol.GetSchemaOrBuilder`
`static final class`
`ClientWireProtocol.GetSchemaResponse`
Protobuf type `xg.cmdcomp.GetSchemaResponse`
`static interface`
`ClientWireProtocol.GetSchemaResponseOrBuilder`
`static final class`
`ClientWireProtocol.KillQuery`
Protobuf type `xg.cmdcomp.KillQuery`
`static interface`
`ClientWireProtocol.KillQueryOrBuilder`
`static final class`
`ClientWireProtocol.KillQueryResponse`
Protobuf type `xg.cmdcomp.KillQueryResponse`
`static interface`
`ClientWireProtocol.KillQueryResponseOrBuilder`
`static final class`
`ClientWireProtocol.ListPlan`
Protobuf type `xg.cmdcomp.ListPlan`
`static interface`
`ClientWireProtocol.ListPlanOrBuilder`
`static final class`
`ClientWireProtocol.ListPlanResponse`
Protobuf type `xg.cmdcomp.ListPlanResponse`
`static interface`
`ClientWireProtocol.ListPlanResponseOrBuilder`
`static final class`
`ClientWireProtocol.LocalQueries`
Protobuf type `xg.cmdcomp.LocalQueries`
`static interface`
`ClientWireProtocol.LocalQueriesOrBuilder`
`static final class`
`ClientWireProtocol.LocalQueriesResponse`
Protobuf type `xg.cmdcomp.LocalQueriesResponse`
`static interface`
`ClientWireProtocol.LocalQueriesResponseOrBuilder`
`static final class`
`ClientWireProtocol.OpenIDAuthenticator`
Protobuf type `xg.cmdcomp.OpenIDAuthenticator`
`static interface`
`ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
`static enum`
`ClientWireProtocol.PerformanceMode`
Determines how result sets are processed by the server.
`static final class`
`ClientWireProtocol.QueryConcurrencyResponse`
Protobuf type `xg.cmdcomp.QueryConcurrencyResponse`
`static interface`
`ClientWireProtocol.QueryConcurrencyResponseOrBuilder`
`static final class`
`ClientWireProtocol.Request`
The request has a type and then the relevant optional field is filled.
`static interface`
`ClientWireProtocol.RequestOrBuilder`
`static final class`
`ClientWireProtocol.ResultSet`
Protobuf type `xg.cmdcomp.ResultSet`
`static interface`
`ClientWireProtocol.ResultSetOrBuilder`
`static final class`
`ClientWireProtocol.SecondaryInterfaceList`
Protobuf type `xg.cmdcomp.SecondaryInterfaceList`
`static interface`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder`
`static final class`
`ClientWireProtocol.SecurityToken`
For Connectors v2, we should be using compact JWE's which provide integrity verifiction + encryption
`static interface`
`ClientWireProtocol.SecurityTokenOrBuilder`
`static enum`
`ClientWireProtocol.ServerSignal`
Protobuf enum `xg.cmdcomp.ServerSignal`
`static final class`
`ClientWireProtocol.SessionInfo`
Protobuf type `xg.cmdcomp.SessionInfo`
`static interface`
`ClientWireProtocol.SessionInfoOrBuilder`
`static final class`
`ClientWireProtocol.SetParameter`
Protobuf type `xg.cmdcomp.SetParameter`
`static interface`
`ClientWireProtocol.SetParameterOrBuilder`
`static final class`
`ClientWireProtocol.SetSchema`
Protobuf type `xg.cmdcomp.SetSchema`
`static interface`
`ClientWireProtocol.SetSchemaOrBuilder`
`static final class`
`ClientWireProtocol.SysQueriesRow`
Protobuf type `xg.cmdcomp.SysQueriesRow`
`static interface`
`ClientWireProtocol.SysQueriesRowOrBuilder`
`static final class`
`ClientWireProtocol.SystemWideCompletedQueries`
Protobuf type `xg.cmdcomp.SystemWideCompletedQueries`
`static interface`
`ClientWireProtocol.SystemWideCompletedQueriesOrBuilder`
`static final class`
`ClientWireProtocol.SystemWideQueries`
Protobuf type `xg.cmdcomp.SystemWideQueries`
`static interface`
`ClientWireProtocol.SystemWideQueriesOrBuilder`
`static final class`
`ClientWireProtocol.SystemWideQueriesResponse`
Protobuf type `xg.cmdcomp.SystemWideQueriesResponse`
`static interface`
`ClientWireProtocol.SystemWideQueriesResponseOrBuilder`
`static final class`
`ClientWireProtocol.TestConnection`
Protobuf type `xg.cmdcomp.TestConnection`
`static interface`
`ClientWireProtocol.TestConnectionOrBuilder`

## Method Summary

Modifier and Type
Method
Description
`static com.google.protobuf.Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
`static void`
`registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

### getDescriptor

public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()